import {defineStore} from 'pinia';
import {reactive} from 'vue';

interface NoticeItem {
  title?: string;
  read: boolean;
  message: any;
  time: string;
}

export const useHistoryStore = defineStore('history', () => {
  const historyList = ref([]);

  const setHistoryList = (list: any) => {
    historyList.value = list;
  };

  const getHistoryList = () => {
    return historyList.value;
  };
  return {
    historyList,
    setHistoryList,
    getHistoryList
  };
});
